import 'package:flutter/material.dart';
import 'package:hub/components/organism_components/local_profile_component/local_profile_component_model.dart';
import 'package:hub/components/organism_components/menu_component/menu_component_model.dart';
import 'package:hub/components/organism_components/message_well_component/message_well_component_model.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/pages/home_page/home_page_widget.dart';

class HomePageModel extends FlutterFlowModel<HomePageWidget> {
  bool isGrid = false;

  final unfocusNode = FocusNode();
  FocusNode? textFieldFocusNode;
  TextEditingController? textController;
  String? Function(BuildContext, String?)? textControllerValidator;
  late LocalProfileComponentModel localComponentModel;
  late MenuComponentModel menuComponentModel;
  late MessageWellComponentModel messageWellComponentModel;

  @override
  void initState(BuildContext context) {
    localComponentModel =
        createModel(context, () => LocalProfileComponentModel());
    menuComponentModel = createModel(context, () => MenuComponentModel());
    messageWellComponentModel =
        createModel(context, () => MessageWellComponentModel());
  }

  @override
  void dispose() {
    unfocusNode.dispose();
    textFieldFocusNode?.dispose();
    textController?.dispose();

    localComponentModel.dispose();
    menuComponentModel.dispose();
    messageWellComponentModel.dispose();
  }
}
